#!/usr/bin/python

#
# Generic Mailer
# (C)2004 Syronex
# http://www.syronex.com
#


from smtplib import SMTP
from email.MIMEText import MIMEText
from email.Charset import Charset
from email.Utils import formataddr, formatdate, make_msgid


class Message:
    def __init__(self, frm, to, subj, body):
        self.msg = MIMEText(body, 'plain', 'utf-8')
        self.frm = frm
        self.to = to
        self.subj = subj
    def addHeader(self, header):
            self.msg[header[0]] = header[1]
    def send(self):
        self.frm = formataddr()
        self.msg['From'] = self.frm
        self.msg['Reply-To'] = self.frm[1]
        self.msg['To'] = formataddr(self.to)
        self.msg['Subject'] = self.subj
        self.msg['Date'] = formatdate()
        self.msg['Message-ID'] = make_msgid()
        self.doSend()
    def doSend(self):
        server = SMTP('localhost')
        server.sendmail(self.frm, self.to, self.msg.as_string())
        server.quit()

